GENUCA(8)

NAME
genuca - create the UCA data table

SYNOPSIS
genuca [ -h, -?, --help ] [ -V, --version ] [ -v, --verbose ] [ -c, --copyright ] [ -s, --sourcedir source ] [ -d, --destdir destination ] [ file ]

DESCRIPTION
genuca compiles the Unicode Collation Algorithm (UCA) data from file (or from FractionalUCA.txt if file is omitted) into its binary form, the files ucadata.dat and invuca.dat. These binary files can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

OPTIONS

-h, -?, --help
    Print help about usage and exit.

-V, --version
    Print the version of genuca and exit.

-v, --verbose
    Display extra informative messages during execution.

-c, --copyright
    Include a copyright notice into the binary data.

-s, --sourcedir source
    Set the source directory to source. The default source directory is specified by the environment variable ICU_DATA.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to /usr/local/lib/icu/2.4/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

FILES

FractionalUCA.txt
    Machine-readable file containing data for the Unicode collation algorithm.

VERSION
2.4

COPYRIGHT
Copyright (C) 2001 IBM, Inc. and others.

SEE ALSO
pkgdata(8)